> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rendernet.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit Character

> The edit character section allows users to edit a character which has already been created



## OpenAPI

````yaml put /pub/v1/characters/{character_id}
openapi: 3.0.2
info:
  description: >-
    The Affogato API section provides a comprehensive set of APIs that allow you
    to create high-quality media content using textual and graphical inputs. By
    utilizing the features provided in this section, users can easily generate
    engaging visuals and media assets.You need an API key to use these APIs. To
    get your personal key, log in to Affogato, head to the account page at
    [Affogato](https://affogato.ai/account) and hit generate API key. Add this
    key as an X-API-Key header in the requests that you send.
  title: Affogato API
  version: '1.0'
servers: []
security: []
tags:
  - description: >-
      The Generation section allows users to create, view, and delete images on
      Rendernet.
    name: Generation
  - description: >-
      Explore all available resources that can be used for generating images on
      Rendernet. With this section, users can easily access key details about
      the resources at their disposal.
    name: Resources
  - description: Upload / Get information about assets that can be used for generation.
    name: Assets
paths:
  /pub/v1/characters/{character_id}:
    put:
      tags:
        - Characters
      summary: Edit Character
      description: >-
        The edit character section allows users to edit a character which has
        already been created
      parameters:
        - description: The id of the character
          in: path
          name: character_id
          required: true
          schema:
            type: string
        - description: >-
            API key needed to access our public endpoints. You can find yours
            under the 'Account' section of the website
          required: true
          schema:
            type: string
            title: X-API-KEY
            description: >-
              API key needed to access our public endpoints. You can find yours
              under the 'Account' section of the website
          name: X-API-KEY
          in: header
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CharacterEditRequest'
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CharacterEditSuccessResponse'
          description: Successful response for edited character
components:
  schemas:
    CharacterEditRequest:
      properties:
        asset_id:
          description: >-
            The asset_id of the image which you want to use as the character’s
            face image.
          example: ast_123abc
          type: string
        character_type:
          description: >-
            Specify if the character’s face image passed in the asset_id is a
            realistic image or a stylized image. A ‘stylized’ image can refer to
            an illustration, drawing, digital render, or any other
            non-photographic style.
          enum:
            - realistic
            - stylized
          example: realistic
          type: string
        prompt:
          description: >-
            A short description of the character’s most important features. This
            can include gender, age, race/ethnicity, and body type. Avoid
            describing clothing and background since those have to be mentioned
            in the prompt while generating images.
          example: >-
            a female, european, young adult, muscular body, thick black hair,
            wearing formal clothes, mountains in the background. 
          type: string
      type: object
      required:
        - asset_id
        - character_type
        - prompt
    CharacterEditSuccessResponse:
      properties:
        data:
          properties:
            character_type:
              description: Is the character resembles a real human or fictional human.
              enum:
                - realistic
                - stylized
              example: realistic
              type: string
            input_image:
              description: Input image URL
              example: >-
                https://redernet-image-data.s3.amazonaws.com/input_images/ast_123abc.png
              type: string
            name:
              description: >-
                The name of the character which is unique from all your other
                characters
              example: character_01
              type: string
            prompt:
              description: The detailed description of the character
              example: >-
                a female, european, young adult, muscular body, thick black
                hair, wearing formal clothes, mountains in the background. 
              type: string
            id:
              description: The ID of the edited character
              example: character_001
              type: string
        err:
          description: The error if the request was not successful
          type: object
      type: object

````